Name:           gtkdatabox
Version:        0.7.0.1
Release:        1%{?dist}
Summary:        GTK+ widget for fast data display
Group:          System Environment/Libraries
License:        LGPL
URL:            http://www.eudoxos.net/gtk/gtkdatabox
Source:         http://www.eudoxos.net/gtk/gtkdatabox/download/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gtk2-devel, pkgconfig

%description
GtkDatabox is a widget for the GTK+ library designed to display
large amounts of numerical data fast and easy.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       gtk2-devel, pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_libdir}/libgtkdatabox-*.so.*

%files devel
%defattr(-,root,root,-)
%doc examples/*.c
%{_includedir}/gtkdatabox*.h
%{_libdir}/libgtkdatabox.so
%{_libdir}/pkgconfig/gtkdatabox.pc

%changelog
* Tue Mar 20 2007 Eric Work <work.eric@gmail.com> 0.7.0.1-1
- new upstream version

* Sat Nov 11 2006 Eric Work <work.eric@gmail.com> 0.7.0.0-4
- bumped EVR to assure devel replaces FC6

* Fri Sep 15 2006 Eric Work <work.eric@gmail.com> 0.7.0.0-3
- bumped version to prepare for FC6

* Thu Aug 17 2006 Eric Work <work.eric@gmail.com> 0.7.0.0-2
- removed devel post/postun scripts

* Fri Aug 11 2006 Eric Work <work.eric@gmail.com> 0.7.0.0-1
- updated to 0.7.0.0

* Tue Aug 08 2006 Eric Work <work.eric@gmail.com> 0.6.0.0-1
- updated to 0.6.0.0

* Fri Jun 23 2006 Eric Work <work.eric@gmail.com> 0.5.3.0-1
- initial release
